Skip to navigation

Update Transaction

View as Markdown

POST /restapi/{apiVersion}/signature/updatetransaction

This call allows the Trust Service Provider (TSP) to notify Docusign of an error during signing.

Request Header Parameters

The following header parameters apply to the TSP API and the CMS API calls.

NameTypeDescription
AuthenticationStringRequired. See Authentication
Content-TypeStringRequired. Specifies the type of data returned in the request body. This parameter must be set to application/json.
X-Docusign-CorrelationTokenGUIDOptional. ID used for telemetry. Docusign recommends that you set up a correlation token for all the TSP API and CMS API calls.

Request Body Parameters

This table provides descriptions of the information in the request body.

NameDescription
messageOptional. String holding a log. Logged to the Audit Log as a Signing Provider Update and logged to internal monitoring.
codeOptional. String holding a Trust Server Provider (TSP) specific internal error code. Logged to internal monitoring.
stateOptional. String indicating the type of update. The possible values are:
  • error: An error is logged and an alert is sent out. The user will see an error dialog and may retry.
  • warning: The user may retry by clicking Continue in Signing. No UI to the user
  • info: intended for logging rather than controlling UI
  • authenticationerror: Envelope is voided. Upon redirecting to signing an error message is displayed. The user is taken to envelope void location upon clicking OK

Response Information

If successful, this returns completeSignResponse. The table below provides descriptions of the information in the response. Upon navigating to the redirectionUrl in the response UI will appear according to the status of the request.

NameTypeDescription
redirectionUrlStringThe URL the user is redirected to after signing completion.
{
"message": "string",
"code": "string",
"state": "string"
}